package com.macro.mall.tiny.modules.business.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.macro.mall.tiny.common.util.MyFileUtils;
import com.macro.mall.tiny.domain.AdminUserDetails;
import com.macro.mall.tiny.modules.business.model.BDirectory;
import com.macro.mall.tiny.modules.business.service.BDirectoryCacheService;
import com.macro.mall.tiny.modules.business.service.BDirectoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author gjs
 * @description
 * @date 2021/4/2 9:32
 */
@Service
public class BDirectoryServiceImpl implements BDirectoryService {

    @Autowired
    BDirectoryCacheService directoryCacheService;

    @Override
    public BDirectory getDirectory(AdminUserDetails userDetails) {
        BDirectory directory = directoryCacheService.getDirectory(userDetails);
        if (directory != null) {
            return directory;
        }
        directory = MyFileUtils.getRootDirectory(userDetails);
        if (directory != null) {
            directoryCacheService.setDirectory(userDetails, directory);
        } else {
            directoryCacheService.setDirectory(userDetails, new BDirectory());
        }
        return directory;
    }
}
